## boinc 7.18.1+dfsg

=== samples/multi_thread/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_SOURCE_API_DIR = $(BOINC_DIR)/api
BOINC_SOURCE_LIB_DIR = $(BOINC_DIR)/lib
BOINC_SOURCE_ZIP_DIR = $(BOINC_DIR)/zip

ifdef ANDROID
  BOINC_API_DIR = $(TCINCLUDES)/lib
  BOINC_LIB_DIR = $(TCINCLUDES)/lib
  BOINC_ZIP_DIR = $(TCINCLUDES)/lib

  MAKEFILE_LDFLAGS = 
  MAKEFILE_STDLIB  = 
else
  BOINC_API_DIR = $(BOINC_SOURCE_API_DIR)
  BOINC_LIB_DIR = $(BOINC_SOURCE_LIB_DIR)
  BOINC_ZIP_DIR = $(BOINC_SOURCE_ZIP_DIR)

  MAKEFILE_LDFLAGS = libstdc++.a -lpthread
  MAKEFILE_STDLIB  = libstdc++.a
endif

CXXFLAGS += -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_SOURCE_API_DIR) \
    -I$(BOINC_SOURCE_LIB_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = multi_thread

all: $(PROGS)

libstdc++.a:
	ln -s `$(CXX) -print-file-name=libstdc++.a`

clean:
	/bin/rm -f $(PROGS)

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

multi_thread: multi_thread.o $(MAKEFILE_STDLIB) $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o multi_thread multi_thread.o $(MAKEFILE_LDFLAGS) -lboinc_api -lboinc $(STDCPPTC)

=== samples/openclapp/Makefile ===
# makefile for openclapp BOINC example appication using AMD GPU on Linux.

BOINC_DIR = ../..
BOINC_SOURCE_API_DIR = $(BOINC_DIR)/api
BOINC_SOURCE_LIB_DIR = $(BOINC_DIR)/lib
BOINC_SOURCE_ZIP_DIR = $(BOINC_DIR)/zip

ifndef ANDROID
  BOINC_API_DIR = $(BOINC_SOURCE_API_DIR)
  BOINC_LIB_DIR = $(BOINC_SOURCE_LIB_DIR)
  BOINC_ZIP_DIR = $(BOINC_SOURCE_ZIP_DIR)
else
  BOINC_API_DIR = $(TCINCLUDES)/lib
  BOINC_LIB_DIR = $(TCINCLUDES)/lib
  BOINC_ZIP_DIR = $(TCINCLUDES)/lib
endif

CXXFLAGS += -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_SOURCE_API_DIR) \
    -I$(BOINC_SOURCE_LIB_DIR) \
    -I$(AMDAPPSDKROOT)/include \
    -I/usr/local/cuda/include \
    -L. \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L$(AMDAPPSDKROOT)/lib/x86 \
    -L/usr/local/cuda/lib \
    -L/lib/i386-linux-gnu

## The above 2 lines work around an Ubuntu LD_LIBRARY_PATH bug described in: 
## <https://help.ubuntu.com/community/EnvironmentVariables#File-location_related_variables>

PROGS = openclapp 

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

install: openclapp

openclapp: openclapp.o boinc_opencl.o libstdc++.a
	$(CXX) $(CXXFLAGS) -o openclapp openclapp.o boinc_opencl.o \
        libstdc++.a -lOpenCL -lboinc_api -lboinc -lpthread

openclapp.o: openclapp.cpp openclapp.hpp
	$(CXX) $(CXXFLAGS) -c openclapp.cpp

boinc_opencl.o: $(BOINC_API_DIR)/boinc_opencl.cpp $(BOINC_API_DIR)/boinc_opencl.h
	$(CXX) $(CXXFLAGS) -c $(BOINC_API_DIR)/boinc_opencl.cpp

=== samples/sleeper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_SOURCE_API_DIR = $(BOINC_DIR)/api
BOINC_SOURCE_LIB_DIR = $(BOINC_DIR)/lib
BOINC_SOURCE_ZIP_DIR = $(BOINC_DIR)/zip

ifdef ANDROID
  BOINC_API_DIR = $(TCINCLUDES)/lib
  BOINC_LIB_DIR = $(TCINCLUDES)/lib
  BOINC_ZIP_DIR = $(TCINCLUDES)/lib
  
  MAKEFILE_LDFLAGS = 
  MAKEFILE_STDLIB  = 
else
  BOINC_API_DIR = $(BOINC_SOURCE_API_DIR)
  BOINC_LIB_DIR = $(BOINC_SOURCE_LIB_DIR)
  BOINC_ZIP_DIR = $(BOINC_SOURCE_ZIP_DIR)

  MAKEFILE_LDFLAGS = libstdc++.a -lpthread
  MAKEFILE_STDLIB  = libstdc++.a
endif

CXX ?= g++
CXXFLAGS += -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_SOURCE_API_DIR) \
    -I$(BOINC_SOURCE_LIB_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = sleeper

all: $(PROGS)

install: all

libstdc++.a:
	ln -s `$(CXX) -print-file-name=libstdc++.a`

clean: distclean

distclean:
	rm -f $(PROGS) *.o libstdc++.a

sleeper: sleeper.o $(MAKEFILE_STDLIB) $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o sleeper sleeper.o -lboinc_api -lboinc $(MAKEFILE_LDFLAGS) \
    $(STDCPPTC)

.PHONY: all install clean distclean

=== samples/vboxmonitor/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_SOURCE_API_DIR = $(BOINC_DIR)/api
BOINC_SOURCE_LIB_DIR = $(BOINC_DIR)/lib
BOINC_SOURCE_ZIP_DIR = $(BOINC_DIR)/zip

ifdef ANDROID
  BOINC_API_DIR = $(TCINCLUDES)/lib
  BOINC_LIB_DIR = $(TCINCLUDES)/lib
  BOINC_ZIP_DIR = $(TCINCLUDES)/lib

  MAKEFILE_LDFLAGS = 
  MAKEFILE_STDLIB  = 
else
  BOINC_API_DIR = $(BOINC_SOURCE_API_DIR)
  BOINC_LIB_DIR = $(BOINC_SOURCE_LIB_DIR)
  BOINC_ZIP_DIR = $(BOINC_SOURCE_ZIP_DIR)

  MAKEFILE_LDFLAGS = libstdc++.a -lpthread
  MAKEFILE_STDLIB  = libstdc++.a
endif

CXXFLAGS += -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_SOURCE_API_DIR) \
    -I$(BOINC_SOURCE_LIB_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = vboxmonitor

all: $(PROGS)

libstdc++.a:
	ln -s `$(CXX) -print-file-name=libstdc++.a`

clean: distclean

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

vboxmonitor: vboxmonitor.o $(MAKEFILE_STDLIB) $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o vboxmonitor vboxmonitor.o $(MAKEFILE_LDFLAGS) -lboinc_api -lboinc $(STDCPPTC)

=== samples/vboxwrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_SOURCE_API_DIR = $(BOINC_DIR)/api
BOINC_SOURCE_LIB_DIR = $(BOINC_DIR)/lib
BOINC_SOURCE_ZIP_DIR = $(BOINC_DIR)/zip

ifdef ANDROID
  BOINC_API_DIR = $(TCINCLUDES)/lib
  BOINC_LIB_DIR = $(TCINCLUDES)/lib
  BOINC_ZIP_DIR = $(TCINCLUDES)/lib

  MAKEFILE_LDFLAGS = 
  MAKEFILE_STDLIB  = 
else
  BOINC_API_DIR = $(BOINC_SOURCE_API_DIR)
  BOINC_LIB_DIR = $(BOINC_SOURCE_LIB_DIR)
  BOINC_ZIP_DIR = $(BOINC_SOURCE_ZIP_DIR)

  MAKEFILE_LDFLAGS = libstdc++.a -lpthread
  MAKEFILE_STDLIB  = libstdc++.a
endif

CXXFLAGS += -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_SOURCE_API_DIR) \
    -I$(BOINC_SOURCE_LIB_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = vboxwrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean: distclean

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

floppyio.o: floppyio.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c floppyio.cpp

vbox_common.o: vbox_common.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c vbox_common.cpp

vbox_vboxmanage.o: vbox_vboxmanage.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c vbox_vboxmanage.cpp

vboxcheckpoint.o: vboxcheckpoint.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c vboxcheckpoint.cpp

vboxjob.o: vboxjob.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c vboxjob.cpp

vboxlogging.o: vboxlogging.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c vboxlogging.cpp

vboxwrapper.o: vboxwrapper.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c vboxwrapper.cpp

vboxwrapper: vboxwrapper.o vbox_common.o vbox_vboxmanage.o vboxcheckpoint.o vboxjob.o vboxlogging.o floppyio.o $(MAKEFILE_STDLIB) $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o vboxwrapper vboxwrapper.o vbox_common.o vbox_vboxmanage.o vboxcheckpoint.o vboxjob.o vboxlogging.o floppyio.o $(MAKEFILE_LDFLAGS) -lboinc_api -lboinc $(STDCPPTC)

=== samples/wrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_SOURCE_API_DIR = $(BOINC_DIR)/api
BOINC_SOURCE_LIB_DIR = $(BOINC_DIR)/lib
BOINC_SOURCE_ZIP_DIR = $(BOINC_DIR)/zip

ifdef ANDROID
  BOINC_API_DIR = $(TCINCLUDES)/lib
  BOINC_LIB_DIR = $(TCINCLUDES)/lib
  BOINC_ZIP_DIR = $(TCINCLUDES)/lib

  MAKEFILE_LDFLAGS = 
  MAKEFILE_STDLIB  = 
else
  BOINC_API_DIR = $(BOINC_SOURCE_API_DIR)
  BOINC_LIB_DIR = $(BOINC_SOURCE_LIB_DIR)
  BOINC_ZIP_DIR = $(BOINC_SOURCE_ZIP_DIR)

  MAKEFILE_LDFLAGS = libstdc++.a -lpthread
  MAKEFILE_STDLIB  = libstdc++.a
endif

CXXFLAGS += -g -O0 \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I$(BOINC_ZIP_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L$(BOINC_ZIP_DIR) \
    -L.

PROGS = wrapper

all: $(PROGS)

libstdc++.a:
	ln -s `$(CXX) -print-file-name=libstdc++.a`

clean: distclean

distclean:
	rm -f $(PROGS) *.o libstdc++.a

install: all

.PHONY: install all distclean clean

REGEXP_OBJS = \
	regexp.o \
	regsub.o \
	regerror.o \
	regexp_memory.o \
	regexp_report.o

wrapper: wrapper.o $(MAKEFILE_STDLIB) $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a $(REGEXP_OBJS)
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o wrapper wrapper.o $(REGEXP_OBJS) $(MAKEFILE_LDFLAGS) -lboinc_api -lboinc -lboinc_zip $(STDCPPTC)

=== samples/wrappture/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_SOURCE_API_DIR = $(BOINC_DIR)/api
BOINC_SOURCE_LIB_DIR = $(BOINC_DIR)/lib
BOINC_SOURCE_ZIP_DIR = $(BOINC_DIR)/zip

ifdef ANDROID
  BOINC_API_DIR = $(TCINCLUDES)/lib
  BOINC_LIB_DIR = $(TCINCLUDES)/lib
  BOINC_ZIP_DIR = $(TCINCLUDES)/lib
  MAKEFILE_LDFLAGS = 
  MAKEFILE_STDLIB  = 
else
  BOINC_API_DIR = $(BOINC_SOURCE_API_DIR)
  BOINC_LIB_DIR = $(BOINC_SOURCE_LIB_DIR)
  BOINC_ZIP_DIR = $(BOINC_SOURCE_ZIP_DIR)
  BUILD_DIR     = $(BOINC_DIR)/3rdParty/linux
  VCPKG_DIR     = $(BUILD_DIR)/vcpkg/installed/x64-linux
  MAKEFILE_LDFLAGS = libstdc++.a -lpthread
  MAKEFILE_STDLIB  = libstdc++.a
endif

RAPPTURE_DIR ?= $(VCPKG_DIR)/include/rappture

CXXFLAGS += -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_SOURCE_API_DIR) \
    -I$(BOINC_SOURCE_LIB_DIR) \
    -I$(VCPKG_DIR)/include \
    -I$(RAPPTURE_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L$(VCPKG_DIR)/lib \
    -L.

PROGS = wrappture_example fermi

all: $(PROGS)

libstdc++.a:
	ln -s `$(CXX) -print-file-name=libstdc++.a`

clean: distclean

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

wrappture.o: wrappture.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o wrappture.o wrappture.cpp

wrappture_example: wrappture.o wrappture_example.o $(MAKEFILE_STDLIB) $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a $(VCPKG_DIR)/lib/librappture.a
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o wrappture_example wrappture_example.o wrappture.o $(MAKEFILE_LDFLAGS) -lboinc_api -lboinc -lrappture -lexpat -lz

fermi: fermi.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o fermi fermi.cpp

=== tests/unit-tests/lib/CMakeLists.txt ===
file(GLOB SRCS *.cpp)

add_executable(test_lib ${SRCS})

TARGET_LINK_LIBRARIES(test_lib "${GTEST_LIB}" "${SCHED_LIB}" "${BOINC_CRYPT_LIB}" "${BOINC_LIB}" "${GTEST_MAIN_LIB}" pthread)

add_test(NAME test_lib COMMAND test_lib)

=== debian/changelog ===
boinc (7.18.1+dfsg-4ubuntu0.1) jammy; urgency=medium

  * Fix boinc-client crash on old CPUs. (LP: #1970521)
    - d/rules: Reversing -mavx for compatibility with older servers.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 29 Mar 2024 20:13:35 +0000

boinc (7.18.1+dfsg-4) unstable; urgency=low

  * Refresh openssl patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Jan 2022 09:29:47 +0100

boinc (7.18.1+dfsg-3) unstable; urgency=medium

  * Don't fail on missing files
  * Add dependency on opencl-c-headers
  * Add patch to fix build with newer autoconf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jan 2022 21:03:28 +0100

boinc (7.18.1+dfsg-2) unstable; urgency=medium

  * Fix build error due to missing || true in delete command

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 17:27:51 +0100

boinc (7.18.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * more reformats of debian/control that are partly adopted manually
    for d/control.in
  * eliminated two lintian warnings on installed vcs control files
  * Standards-Version: 4.6.0 (routine-update)

  [ Gianfranco Costamagna ]
  * debian/patches/4563.patch:
    - Add upstream patch to fix build with openssl 3.0 (Closes: #995637)

  [routine-update]
  * debhelper-compat 13 
  * reformat of debian/control - partly adopted manually for d/control.in

  [ Pino Toscano ]
  * Remove the old boincmgr.xpm icon, no more needed since the removal of the
    Debian menu file in 7.6.15+dfsg-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 16:23:12 +0100

=== debian/control ===
Source: boinc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-python,
               docbook-xml,
               docbook2x,
               dpkg-dev (>= 1.16.1.1),
               freeglut3-dev,
               gettext,
               libcurl4-openssl-dev,
               libfcgi-dev,
               libgtk-3-dev,
               libice-dev,
               libjpeg-dev,
               libnotify-dev (>= 0.7.0),
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libwxgtk-webview3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
               libxcb-util0-dev,
               libxi-dev,
               libxml2-utils,
               libxmu-dev,
               libxss-dev,
               opencl-c-headers,
               pkg-config,
               po-debconf,
               python3-all,
               python3-setuptools,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/pkg-boinc-team/boinc
Vcs-Git: https://salsa.debian.org/pkg-boinc-team/boinc.git
Homepage: https://boinc.berkeley.edu/
Rules-Requires-Root: no

Package: boinc
Architecture: all
Depends: boinc-client (>= ${source:Version}),
         boinc-manager (>= ${source:Version}),
         ${misc:Depends}
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: boinc-virtualbox
Architecture: amd64
Section: contrib/misc
Depends: ${misc:Depends},
         boinc-client
Recommends: virtualbox | virtualbox-6.1 | virtualbox-6.0 | virtualbox-5.2 | virtualbox-5.1 | virtualbox-5.0,
            virtualbox-ext-pack
Description: metapackage for virtualbox-savvy projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for virtualbox-based projects.
 This package adds a series of dependencies from the contrib
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-client-nvidia-cuda
Architecture: amd64 i386 armhf
Section: contrib/net
Breaks: boinc-nvidia-cuda
Replaces: boinc-nvidia-cuda
Depends: ${misc:Depends},
         boinc-client
Recommends: libcuda1
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-client-opencl
Architecture: any
Section: contrib/net
Breaks: boinc-amd-opencl
Replaces: boinc-amd-opencl
Depends: ${misc:Depends},
         ocl-icd-libopencl1
Recommends: amd-opencl-icd | opencl-icd
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.

Package: boinc-client
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         adduser,
         ca-certificates,
         lsb-base (>= 3.0-6),
         libboinc7 (= ${binary:Version})
Suggests: boinc-manager,
          boinc-client-opencl,
          boinc-client-nvidia-cuda,
          x11-xserver-utils
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the scientific data and executables to be then
 wrapped by the BOINC core client.

Package: boinc-screensaver
Architecture: any
Section: x11
Depends: boinc-client,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: boinc-manager
Description: screen saver auto-controlling volunteer computing
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 The BOINC client is configurable by the command line or the BOINC
 manager's GUI to compute with any range between 0% and 100% of
 available resources, and to change that ratio to a higher after
 some user determined duration of inactivity. There is now quite
 a number of individuals who prefer to have everything presented
 with their accustomed principle for setting and choosing a screen
 saver. Upon inactivity, the BOINC client is started, and stopped
 again when the user is back. To save the screen, it then shows
 the graphical progress indication as optionally shown also by
 the manager.
 .
 This package is excellent to further promote BOINC, recalling the
 effect SETI@Home once had in the Cambridge, UK, CB2 Cybercafe.
 Just, when using it together with the regular BOINC client setup,
 it is suggested not to have all CPUs used to avoid multiple
 processes running on the same core.

Package: boinc-manager
Architecture: any
Section: x11
Depends: ${misc:Depends},
         ${shlibs:Depends},
         boinc-client
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, as there are
  * attached projects
  * running tasks
  * file transfers between the client and project servers
  * statistics about granted credits and disk usage for every project
  * constraints on CPU usage
 The BOINC Manager has two modes of operation, the "Simple View" in which
 it only displays the most important information and the "Advanced View"
 in which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Architecture: any
Section: oldlibs
Depends: libboinc-app-dev (= ${binary:Version}), ${misc:Depends}
Description: development files to build applications for BOINC projects (transitional)
 Dummy transitional package helping the transition of a split of
 architecture-independent development files and the architecture-dependent
 dynamic libraries.  Static libraries are no longer redistributed.

Package: libboinc-app-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libboinc-app7 (= ${binary:Version}),
         libboinc7 (= ${binary:Version}),
         libc6-dev | libc-dev,
         default-libmysqlclient-dev,
         libssl-dev,
         build-essential
Breaks: boinc-dev (<< 7.0.28+dfsg-3)
Replaces: boinc-dev (<< 7.0.28+dfsg-3)
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files that are needed to develop and
 compile applications which utilizes the BOINC infrastructure.
 The package also provides static libraries. These are needed for the
 development of scientific applications that work seamlessly across
 many Linux distributions and different releases of the same.

Package: libboinc-app7
Architecture: any
Section: libs
Provides: libboinc-app
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3),
        libboinc-app (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3),
          libboinc-app (<= 7.0.34+dfsg-1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for BOINC's scientific applications
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains dynamic libraries that are needed for applications
 which utilizes the BOINC infrastructure and the boinc-client itself.

Package: libboinc7
Architecture: any
Section: libs
Provides: libboinc
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3),
        libboinc (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3),
          libboinc (<= 7.0.34+dfsg-1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries of BOINC the client depends on
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The environment offers a series of libraries that both the user-run
 client and the client-invoked scientific applications depend on. With
 the number of cores per machine growing, and with scientific apps
 commonly started for every core, it is essential to have memory
 shared as much as possible between binaries of all projects.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

# BOINC client itself is not time-critical and may be an older machine with no AVX yet
#ARCH_AVX := i386 amd64 x32 hurd-i386
#ifneq (,$(findstring $(DEB_HOST_ARCH),$(ARCH_AVX)))
#  CPPFLAGS += -mavx
#  CXXFLAGS += -mavx
#endif

#export CXX=clang++
export AR=ar
export RANLIB=ranlib

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Set default flags with dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See https://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif

ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  export CXX=clang
endif

CFLAGS += -Wall
CXXFLAGS += -Wall
LDFLAGS += -Wl,--as-needed

ifeq (,$(DEB_OPT_FLAGS))
   DEB_OPT_FLAGS = -O3 -funroll-loops -fforce-addr -ffast-math
   $(info W: No default DEB_OPT_FLAGS set, adding $(DEB_OPT_FLAGS))
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

CCorig := $(CC)
CXXorig := $(CXX)

# Link-time optimisation demands knowledge about all CFLAGS both at
# compile time (as represented by CFLAGS and CXXFLAGS) but also at
# at link time.
ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
 $(info I: Activating LinkTimeOptimisation)
 CFLAGS += -flto
 CXXFLAGS += -flto
 LDFLAGS += -flto
 CXX := $(CXX) $(CXXFLAGS)
 CC := $(CC) $(CFLAGS)
 AR := gcc-ar
 RANLIB := gcc-ranlib
endif

#copy the original control.in file
$(shell cp debian/control.in debian/control)
$(shell sed '/^#/d' -i debian/control)

export ENABLE_SERVER_TEST := $(shell dpkg-parsechangelog -S Distribution |egrep -v 'experimental|UNRELEASED')

ifeq (,$(ENABLE_SERVER_TEST))
$(shell sed 's/^%//' -i debian/control)
else
$(shell sed '/^%/d' -i debian/control)
endif

ifeq (,$(ENABLE_SERVER_TEST))
$(info I: Building both the server and the client packages)
ENABLE_SERVER := --enable-server
else
$(info I: Building regular client packages only)
#ENABLE_SERVER := --disable-server
endif

#ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control debian/control.in)
#ifneq (,$(ENABLE_CLIENT_TEST))
ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
$(shell sed 's/^@//' -i debian/control)
#else
#ENABLE_CLIENT := --disable-client --disable-manager
#$(shell sed '/^@/d' -i debian/control)
#endif

# --disable-static
# For debugging, these options are useful:
#   --enable-debug
#   --enable-wx-debug (need to install libwxbase3.0-0-dbg and libwxgtk3.0-0-dbg)
#
CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  --bindir=/usr/bin \
  --localstatedir=/var/lib \
  $(ENABLE_CLIENT) \
  $(ENABLE_SERVER) \
  --disable-fcgi \
  --enable-libraries \
  --enable-unicode \
  --enable-shared \
  --enable-static \
  --enable-dynamic-client-linkage \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)"

%:
	dh $@ --with python3 --no-parallel

override_dh_autoreconf-indep:

override_dh_clean:
	dh_clean
	rm -rf config.log
	rm -rf clientscr/.libs
	rm -rf debian/boinc-app-examples   debian/boinc-app-examples.substvars
	rm -rf debian/boinc-server-maker   debian/boinc-server-maker.substvars
	rm -rf debian/boinc-cgi-stripchart debian/boinc-cgi-stripchart.substvars
	rm -rf debian/boinc-dbg            debian/boinc-dbg.substvars
	rm -rf debian/boinc-server-dbg     debian/boinc-server-dbg.substvars
	rm -rf debian/*.debhelper
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
	rm -f debian/boinc-cgi-stripchart.substvars
	# sudden differences yet remaining to be resolved
	rm -f api/libboinc_graphics2.la
	rm -f test-driver
	rm -f sched/adjust_user_priority sched/size_regulator
	rm -f config.status libtool version.h stamp-h1
	find . -name ".libs" | xargs -r rm -r
	find zip -name "*.lo" -delete
	rm -rf py/lib
	if [ -d .git ]; then \

## boinc 7.20.2+dfsg

=== debian/changelog ===
boinc (7.20.2+dfsg-3) unstable; urgency=medium

  * Switch from webview3.0 to webview3.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 23:48:53 +0200

boinc (7.20.2+dfsg-2) unstable; urgency=medium

  * Add patch to fix a build failure (Closes: #1016225)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Aug 2022 13:34:18 +0200

boinc (7.20.2+dfsg-1) unstable; urgency=medium

  * Add new skins in /usr/share/boinc-manager/skins/ while waiting for https://github.com/BOINC/boinc/pull/4811 to be merged
  * install skins with upstream patch
  * New upstream version 7.20.2+dfsg
  * Drop files removed from upstream tarball
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 19:24:30 +0200

boinc (7.20.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Reverse AVX instructions for better compatibility with older servers

  [ Gianfranco Costamagna ]
  * New upstream version 7.20.0+dfsg
  * Refresh patches, drop patches now upstream: 4563 and new-autoconf-build-fix
  * Bump copyright years
  * Drop version constraints
  * Fix metadata lintian warnings
  * Drop old and unused override (wrong match)
  * Drop binaries from include-binaries not available anymore from upstream tarball
  * Update copyright file
  * Drop asneeded flag, now default

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jun 2022 14:51:40 +0200

## boinc 7.20.5%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: boinc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
+Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
@@ -19,12 +18,12 @@
                libgtk-3-dev,
                libice-dev,
                libjpeg-dev,
-               libnotify-dev (>= 0.7.0),
+               libnotify-dev,
                libsm-dev,
                libsqlite3-dev,
                libssl-dev,
                libtool,
-               libwxgtk-webview3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
+               libwxgtk-webview3.2-dev,
                libxcb-util0-dev,
                libxi-dev,
                libxml2-utils,
